Name: xcalc
Version: 1.1.1
Release: %mkrel 1
Summary: Scientific calculator for X
Group: Development/X11
Source: https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT

BuildRequires: pkgconfig(xt) >= 1.0.0
BuildRequires: pkgconfig(xaw7) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

%description
Xcalc is a scientific calculator desktop accessory that can emulate a TI-30
or an HP-10C.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/xcalc
%{_datadir}/X11/app-defaults/XCalc
%{_datadir}/X11/app-defaults/XCalc-color
%{_mandir}/man1/xcalc.1*


%changelog
* Tue Apr 26 2022 luigiwalser <luigiwalser> 1.1.1-1.mga9
+ Revision: 1854398
- 1.1.1
- update source URL

* Thu Mar 31 2022 umeabot <umeabot> 1.1.0-3.mga9
+ Revision: 1836060
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1526845
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jul 03 2019 tv <tv> 1.1.0-1.mga8
+ Revision: 1417965
- new release

* Tue Feb 19 2019 tv <tv> 1.0.7-1.mga7
+ Revision: 1368469
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-3.mga7
+ Revision: 1301810
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.0.6-2.mga6
+ Revision: 952197
- Mageia 6 Mass Rebuild

* Tue Jan 27 2015 luigiwalser <luigiwalser> 1.0.6-1.mga5
+ Revision: 812479
- 1.0.6

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 744591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 690558
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 522025
- Mageia 4 Mass Rebuild

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1.0.5-1.mga3
+ Revision: 394878
- 1.0.5

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4.1-2.mga3
+ Revision: 386652
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.0.4.1-1.mga1
+ Revision: 27664
- imported package xcalc


* Sat Nov 27 2010 Thierry Vignaud <tv@mandriva.org> 1.0.4.1-1mdv2011.0
+ Revision: 602090
- new release

* Thu Nov 25 2010 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 600979
- new release

* Fri Dec 18 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 479889
- New version: 1.0.3

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.0.2-5mdv2010.0
+ Revision: 366632
- no more autoconf needed

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-4mdv2009.0
+ Revision: 226017
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-3mdv2008.1
+ Revision: 166450
- Revert to use upstream tarball, build requires and remove non mandatory local patches.
- Updated BuildRequires and resubmit package.
- Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-1mdv2008.0
+ Revision: 68677
- new upstream version: 1.0.2


* Fri Sep 01 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-01 19:22:17 (59409)
- rebuild for libXaw

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-01 20:13:15 (31864)
- fill in missing description & summaries

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-30 20:32:41 (31747)
- rebuild against new libXaw package

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

